Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.pastry.leafset
Class BroadcastLeafSet

    java.lang.Object
      rice.pastry.messaging.Message
          rice.pastry.messaging.PRawMessage
              rice.pastry.leafset.BroadcastLeafSet

All Implemented Interfaces:
  java.io.Serializable, Message, RawMessage, RawSerializable

    public class BroadcastLeafSet

extends PRawMessage

Broadcast a leaf set to another node.

Version:
  $Id: BroadcastLeafSet.java 3855 2007-09-14 15:46:49Z jeffh $
Author:
  Andrew Ladd
See Also:
  Serialized Form

Field Summary
`static int` | `Correction`
`static int` | `JoinAdvertise`
`static int` | `JoinInitial`
`static short` | `TYPE`
`static int` | `Update`

Fields inherited from class rice.pastry.messaging.Message
`DEFAULT_PRIORITY_LEVEL`

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`BroadcastLeafSet(java.util.Date stamp, NodeHandle from, LeafSet leafSet, int type, long requestTimeStamp)` Constructor.
`BroadcastLeafSet(InputBuffer buf, NodeHandleFactory nhf)`
`BroadcastLeafSet(NodeHandle from, LeafSet leafSet, int type, long requestTimeStamp)` Constructor.

Method Summary
`NodeHandle` | `from()` Returns the node id of the node that broadcast its leaf set.
`long` | `getTimeStamp()`
`short` | `getType()` Raw Serialization
`LeafSet` | `leafSet()` Returns the leaf set that was broadcast.
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`
`int` | `type()` Returns the type of leaf set.

Methods inherited from class rice.pastry.messaging.Message
`getDate, getDestination, getPriority, getSender, getSenderId, setPriority, setSender, stamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rice.p2p.commonapi.Message
`getPriority`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

### Update

    public static final int Update

See Also:
  Constant Field Values

### JoinInitial

    public static final int JoinInitial

See Also:
  Constant Field Values

### JoinAdvertise

    public static final int JoinAdvertise

See Also:
  Constant Field Values

### Correction

    public static final int Correction

See Also:
  Constant Field Values

Constructor Detail

### BroadcastLeafSet

    public BroadcastLeafSet(NodeHandle from,
                            LeafSet leafSet,
                            int type,
                            long requestTimeStamp)

  Constructor.

### BroadcastLeafSet

    public BroadcastLeafSet(java.util.Date stamp,
                            NodeHandle from,
                            LeafSet leafSet,
                            int type,
                            long requestTimeStamp)

  Constructor.

  Parameters:
    `stamp` - the timestamp

### BroadcastLeafSet

    public BroadcastLeafSet(InputBuffer buf,
                            NodeHandleFactory nhf)
                     throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### from

    public NodeHandle from()

  Returns the node id of the node that broadcast its leaf set.

  Returns:
    the node id.

### leafSet

    public LeafSet leafSet()

  Returns the leaf set that was broadcast.

  Returns:
    the leaf set.

### type

    public int type()

  Returns the type of leaf set.

  Returns:
    the type.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getType

    public short getType()

  Raw Serialization

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### getTimeStamp

    public long getTimeStamp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.